japa.parser.ast.visitor

## Interface VoidVisitor<A>

All Known Implementing Classes:
  DumpVisitor, VoidVisitorAdapter

    public interface VoidVisitor<A>

A visitor that does not return anything.

Author:
  Julio Vilmar Gesser

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visit(AnnotationDeclaration n, A arg)`
`void` `visit(AnnotationMemberDeclaration n, A arg)`
`void` `visit(ArrayAccessExpr n, A arg)`
`void` `visit(ArrayCreationExpr n, A arg)`
`void` `visit(ArrayInitializerExpr n, A arg)`
`void` `visit(AssertStmt n, A arg)`
`void` `visit(AssignExpr n, A arg)`
`void` `visit(BinaryExpr n, A arg)`
`void` `visit(BlockComment n, A arg)`
`void` `visit(BlockStmt n, A arg)`
`void` `visit(BooleanLiteralExpr n, A arg)`
`void` `visit(BreakStmt n, A arg)`
`void` `visit(CastExpr n, A arg)`
`void` `visit(CatchClause n, A arg)`
`void` `visit(CharLiteralExpr n, A arg)`
`void` `visit(ClassExpr n, A arg)`
`void` `visit(ClassOrInterfaceDeclaration n, A arg)`
`void` `visit(ClassOrInterfaceType n, A arg)`
`void` `visit(CompilationUnit n, A arg)`
`void` `visit(ConditionalExpr n, A arg)`
`void` `visit(ConstructorDeclaration n, A arg)`
`void` `visit(ContinueStmt n, A arg)`
`void` `visit(DoStmt n, A arg)`
`void` `visit(DoubleLiteralExpr n, A arg)`
`void` `visit(EmptyMemberDeclaration n, A arg)`
`void` `visit(EmptyStmt n, A arg)`
`void` `visit(EmptyTypeDeclaration n, A arg)`
`void` `visit(EnclosedExpr n, A arg)`
`void` `visit(EnumConstantDeclaration n, A arg)`
`void` `visit(EnumDeclaration n, A arg)`
`void` `visit(ExplicitConstructorInvocationStmt n, A arg)`
`void` `visit(ExpressionStmt n, A arg)`
`void` `visit(FieldAccessExpr n, A arg)`
`void` `visit(FieldDeclaration n, A arg)`
`void` `visit(ForeachStmt n, A arg)`
`void` `visit(ForStmt n, A arg)`
`void` `visit(IfStmt n, A arg)`
`void` `visit(ImportDeclaration n, A arg)`
`void` `visit(InitializerDeclaration n, A arg)`
`void` `visit(InstanceOfExpr n, A arg)`
`void` `visit(IntegerLiteralExpr n, A arg)`
`void` `visit(IntegerLiteralMinValueExpr n, A arg)`
`void` `visit(JavadocComment n, A arg)`
`void` `visit(LabeledStmt n, A arg)`
`void` `visit(LineComment n, A arg)`
`void` `visit(LongLiteralExpr n, A arg)`
`void` `visit(LongLiteralMinValueExpr n, A arg)`
`void` `visit(MarkerAnnotationExpr n, A arg)`
`void` `visit(MemberValuePair n, A arg)`
`void` `visit(MethodCallExpr n, A arg)`
`void` `visit(MethodDeclaration n, A arg)`
`void` `visit(MultiTypeParameter n, A arg)`
`void` `visit(NameExpr n, A arg)`
`void` `visit(NormalAnnotationExpr n, A arg)`
`void` `visit(NullLiteralExpr n, A arg)`
`void` `visit(ObjectCreationExpr n, A arg)`
`void` `visit(PackageDeclaration n, A arg)`
`void` `visit(Parameter n, A arg)`
`void` `visit(PrimitiveType n, A arg)`
`void` `visit(QualifiedNameExpr n, A arg)`
`void` `visit(ReferenceType n, A arg)`
`void` `visit(ReturnStmt n, A arg)`
`void` `visit(SingleMemberAnnotationExpr n, A arg)`
`void` `visit(StringLiteralExpr n, A arg)`
`void` `visit(SuperExpr n, A arg)`
`void` `visit(SwitchEntryStmt n, A arg)`
`void` `visit(SwitchStmt n, A arg)`
`void` `visit(SynchronizedStmt n, A arg)`
`void` `visit(ThisExpr n, A arg)`
`void` `visit(ThrowStmt n, A arg)`
`void` `visit(TryStmt n, A arg)`
`void` `visit(TypeDeclarationStmt n, A arg)`
`void` `visit(TypeParameter n, A arg)`
`void` `visit(UnaryExpr n, A arg)`
`void` `visit(VariableDeclarationExpr n, A arg)`
`void` `visit(VariableDeclarator n, A arg)`
`void` `visit(VariableDeclaratorId n, A arg)`
`void` `visit(VoidType n, A arg)`
`void` `visit(WhileStmt n, A arg)`
`void` `visit(WildcardType n, A arg)`

### Method Detail

#### visit

    void visit(CompilationUnit n,
               A arg)

#### visit

    void visit(PackageDeclaration n,
               A arg)

#### visit

    void visit(ImportDeclaration n,
               A arg)

#### visit

    void visit(TypeParameter n,
               A arg)

#### visit

    void visit(LineComment n,
               A arg)

#### visit

    void visit(BlockComment n,
               A arg)

#### visit

    void visit(ClassOrInterfaceDeclaration n,
               A arg)

#### visit

    void visit(EnumDeclaration n,
               A arg)

#### visit

    void visit(EmptyTypeDeclaration n,
               A arg)

#### visit

    void visit(EnumConstantDeclaration n,
               A arg)

#### visit

    void visit(AnnotationDeclaration n,
               A arg)

#### visit

    void visit(AnnotationMemberDeclaration n,
               A arg)

#### visit

    void visit(FieldDeclaration n,
               A arg)

#### visit

    void visit(VariableDeclarator n,
               A arg)

#### visit

    void visit(VariableDeclaratorId n,
               A arg)

#### visit

    void visit(ConstructorDeclaration n,
               A arg)

#### visit

    void visit(MethodDeclaration n,
               A arg)

#### visit

    void visit(Parameter n,
               A arg)

#### visit

    void visit(MultiTypeParameter n,
               A arg)

#### visit

    void visit(EmptyMemberDeclaration n,
               A arg)

#### visit

    void visit(InitializerDeclaration n,
               A arg)

#### visit

    void visit(JavadocComment n,
               A arg)

#### visit

    void visit(ClassOrInterfaceType n,
               A arg)

#### visit

    void visit(PrimitiveType n,
               A arg)

#### visit

    void visit(ReferenceType n,
               A arg)

#### visit

    void visit(VoidType n,
               A arg)

#### visit

    void visit(WildcardType n,
               A arg)

#### visit

    void visit(ArrayAccessExpr n,
               A arg)

#### visit

    void visit(ArrayCreationExpr n,
               A arg)

#### visit

    void visit(ArrayInitializerExpr n,
               A arg)

#### visit

    void visit(AssignExpr n,
               A arg)

#### visit

    void visit(BinaryExpr n,
               A arg)

#### visit

    void visit(CastExpr n,
               A arg)

#### visit

    void visit(ClassExpr n,
               A arg)

#### visit

    void visit(ConditionalExpr n,
               A arg)

#### visit

    void visit(EnclosedExpr n,
               A arg)

#### visit

    void visit(FieldAccessExpr n,
               A arg)

#### visit

    void visit(InstanceOfExpr n,
               A arg)

#### visit

    void visit(StringLiteralExpr n,
               A arg)

#### visit

    void visit(IntegerLiteralExpr n,
               A arg)

#### visit

    void visit(LongLiteralExpr n,
               A arg)

#### visit

    void visit(IntegerLiteralMinValueExpr n,
               A arg)

#### visit

    void visit(LongLiteralMinValueExpr n,
               A arg)

#### visit

    void visit(CharLiteralExpr n,
               A arg)

#### visit

    void visit(DoubleLiteralExpr n,
               A arg)

#### visit

    void visit(BooleanLiteralExpr n,
               A arg)

#### visit

    void visit(NullLiteralExpr n,
               A arg)

#### visit

    void visit(MethodCallExpr n,
               A arg)

#### visit

    void visit(NameExpr n,
               A arg)

#### visit

    void visit(ObjectCreationExpr n,
               A arg)

#### visit

    void visit(QualifiedNameExpr n,
               A arg)

#### visit

    void visit(ThisExpr n,
               A arg)

#### visit

    void visit(SuperExpr n,
               A arg)

#### visit

    void visit(UnaryExpr n,
               A arg)

#### visit

    void visit(VariableDeclarationExpr n,
               A arg)

#### visit

    void visit(MarkerAnnotationExpr n,
               A arg)

#### visit

    void visit(SingleMemberAnnotationExpr n,
               A arg)

#### visit

    void visit(NormalAnnotationExpr n,
               A arg)

#### visit

    void visit(MemberValuePair n,
               A arg)

#### visit

    void visit(ExplicitConstructorInvocationStmt n,
               A arg)

#### visit

    void visit(TypeDeclarationStmt n,
               A arg)

#### visit

    void visit(AssertStmt n,
               A arg)

#### visit

    void visit(BlockStmt n,
               A arg)

#### visit

    void visit(LabeledStmt n,
               A arg)

#### visit

    void visit(EmptyStmt n,
               A arg)

#### visit

    void visit(ExpressionStmt n,
               A arg)

#### visit

    void visit(SwitchStmt n,
               A arg)

#### visit

    void visit(SwitchEntryStmt n,
               A arg)

#### visit

    void visit(BreakStmt n,
               A arg)

#### visit

    void visit(ReturnStmt n,
               A arg)

#### visit

    void visit(IfStmt n,
               A arg)

#### visit

    void visit(WhileStmt n,
               A arg)

#### visit

    void visit(ContinueStmt n,
               A arg)

#### visit

    void visit(DoStmt n,
               A arg)

#### visit

    void visit(ForeachStmt n,
               A arg)

#### visit

    void visit(ForStmt n,
               A arg)

#### visit

    void visit(ThrowStmt n,
               A arg)

#### visit

    void visit(SynchronizedStmt n,
               A arg)

#### visit

    void visit(TryStmt n,
               A arg)

#### visit

    void visit(CatchClause n,
               A arg)